Page MenuHomePhabricator

[SPIKE 8hrs] How does language switching work?
Closed, ResolvedPublicSpike

Description

Description

We would like to learn more about the language switcher prior to making improvements

User stories

As a reader or editor of Wikipedia, I would like the site to collapse the list of languages so that I can focus on my reading experience

As a reader or editor of Wikipedia, I would like the site to suggest languages that are relevant to me on every article so that I don't need to see the list of all languages

As a reader or editor of Wikipedia, I would like the ability to switch languages from a more prominent position on the page so that I don't have to scroll to see my language

Acceptance criteria

Research the following questions and write up your results:

  • Are there any constraints to achieving the user stories above?
  • How are the language switchers on desktop and minerva implemented?
  • What are the differences between language switching on desktop and mobile?
  • How does the language cog get added to the page?
  • How does the pointer to the language cog work? Can it easily be modified to point in other locations?

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 23 2019, 11:06 AM
ovasileva triaged this task as Medium priority.Sep 23 2019, 11:06 AM
Jdlrobson updated the task description. (Show Details)Sep 25 2019, 4:45 PM
Jdlrobson added a subscriber: Amire80.

Languages on Vector use the UniversalLanguageSelector extension. Potentially we'd be moving the language selector to another location in the page (maybe top right) so this would impact things like the pointy arrow (see screen) as well as how we insert the button in the page

@Amire80 who would be the best person be to talk to to get an overview of this extension and how it can be adapted for use in another skin?

ovasileva renamed this task from [SPIKE] How does language switching work? to [SPIKE 8hrs] How does language switching work?.Sep 25 2019, 4:45 PM

Is this about selecting wiki (aka content) language or the interface language? Or both?

Can you clarify this question from @Nikerabbit @ovasileva ?

Is this about selecting wiki (aka content) language or the interface language? Or both?

@Nikerabbit - It would be around the former (selecting a wiki). We're exploring giving the language switcher a more prominent position on the page. This task is focused on doing some preliminary research around this in order to determine what's viable.

ovasileva removed ovasileva as the assignee of this task.Oct 8 2019, 9:55 AM

I'd be very, very happy to discuss it any time, both about desktop and mobile. How will it be done? Video meeting? Document? Something else?

If it's relevant, I'll be at the Tech Conf in Atlanta, and will be happy to talk about it there.

nray added a comment.EditedOct 8 2019, 10:13 PM

@Amire80 I just sent you an invite on google calendar. Would love to chat with you a bit about the universal language selector!

nray added a comment.EditedOct 12 2019, 12:49 AM

Here are my findings from this investigation. Feel free to leave comments on the doc or on this ticket!

https://docs.google.com/document/d/12dRYPg8_S8gEprgGF6XgT0Htmew9vJCBCFGsPm9Cs_o/edit?usp=sharing

Special thanks to @Amire80 who met with me and shared a ton of good info about ULS and language switching!

Restricted Application added a subscriber: Masumrezarock100. · View Herald TranscriptOct 12 2019, 12:49 AM
nray removed nray as the assignee of this task.Oct 12 2019, 12:51 AM
nray added a subscriber: nray.

@nray - would it be okay if I copy some of your findings from the doc to the project page?

nray added a comment.Oct 15 2019, 3:35 PM

@nray - would it be okay if I copy some of your findings from the doc to the project page?

absolutely, go for it!

MBinder_WMF changed the subtype of this task from "Task" to "Spike".Oct 21 2019, 5:08 PM
ovasileva closed this task as Resolved.Oct 23 2019, 5:04 PM